OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000758OMNeT++Installer / Productizingpublic2014-05-07 16:002014-07-16 12:07
Reportergava100 
Assigned Torhornig 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.4.1 
Target VersionFixed in Version4.5 
Summary0000758: OMNeT++ does not compile with -std=c++11 flag
DescriptionHi,

I've set the flag -std=c++11 on configure.user, as described below, and then tried to compile, getting the following error:

--- configure.user
CFLAGS_DEBUG='-g -Wall -std=c++11'
CFLAGS_RELEASE='-O2 -DNDEBUG=1 -std=c++11'

----

make MODE=release
make[1]: Entering directory `/omnetpp-4.4.1'
***** Configuration: MODE=release, TOOLCHAIN_NAME=gcc, LIB_SUFFIX=.dll ****
===== Checking environment =====
===== Compiling utils ====
make[2]: Entering directory `/omnetpp-4.4.1/src/utils'
Copying scripts to bin directory...
make[2]: Leaving directory `/omnetpp-4.4.1/src/utils'
===== Compiling common ====
make[2]: Entering directory `/omnetpp-4.4.1/src/common'
LEX: expression.lex
YACC: expression.y
lex.expressionyy.cc
expression.tab.cc
YACC: matchexpression.y
conflicts: 1 shift/reduce
matchexpressionlexer.cc
matchexpressionlexer.cc: In member function 'int MatchExpressionLexer::getNextToken(char**)':
matchexpressionlexer.cc:57:55: error: 'strncasecmp' was not declared in this scope
matchexpressionlexer.cc:59:56: error: 'strncasecmp' was not declared in this scope
matchexpressionlexer.cc:61:56: error: 'strncasecmp' was not declared in this scope
make[2]: *** [d:/Oberthur/omnetpp-4.4.1/out/gcc-release/src/common/matchexpressionlexer.o] Error 1
make[2]: Leaving directory `/omnetpp-4.4.1/src/common'
make[1]: *** [common] Error 2
make[1]: Leaving directory `/omnetpp-4.4.1'
make: *** [allmodes] Error 2
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000920)
rhornig (administrator)
2014-06-26 13:30

For the moment mingw 4.8.x is not properly working with C++11
(0000922)
rhornig (administrator)
2014-07-16 12:07

Works on Linux and Windows in 4.5

- Issue History
Date Modified Username Field Change
2014-05-07 16:00 gava100 New Issue
2014-06-26 13:30 rhornig Note Added: 0000920
2014-07-16 12:07 rhornig Note Added: 0000922
2014-07-16 12:07 rhornig Status new => resolved
2014-07-16 12:07 rhornig Fixed in Version => 4.5
2014-07-16 12:07 rhornig Resolution open => fixed
2014-07-16 12:07 rhornig Assigned To => rhornig


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker